---
layout: service.njk
service: forgejo
title: Forgejo
---
Forgejo is a simple code hosting platform like GitHub or GitLab. It is open source and under continuous development. I like to use Forgejo myself to manage my own projects. For example, this website. Take a look at the source code and leave me some feedback: [git.sp-codes.de/samuel-p/sp-codes.de](https://git.sp-codes.de/samuel-p/sp-codes.de)

Feel free to visit and sign up if you're interested in developing a project. The registration is open since March 2020.

## Server details

In addition to Forgejo, I also run Forgejo Actions, an add-on that extends the platform with numerous continuous integration functions. This makes it possible to create and deploy builds automatically. Forgejo Actions also enables automated tests. This allows changes to be continuously monitored in real time and errors to be detected at an early stage.

## More useful links

* [Forgejo website](https://forgejo.org/)
* [Source code of Forgejo](https://codeberg.org/forgejo/forgejo)
* [Woodpecker Website](https://woodpecker-ci.org/)
* [Source code of Woodpecker](https://github.com/woodpecker-ci/woodpecker)
